Subject: vc-bzr commit bug on win32

From: 马旋（SuperMMX） <[email-masked]>
Date: Sat, 20 Dec 2008 13:02:43 +0800

Problem:

Emacs : GNU Emacs 23.0.60.1 (i386-mingw-nt5.1.2600) of 2008-12-09
Bazaar : Bazaar (bzr) 1.10 (Python installation)

1) In vc-dired, there are more than one file modified, mark some of them,
   and do commit, all the files get committed, not only the marked ones.
2) If the commit comment has more than one lines, only the first one
   is passed to Bazaar, and all the files get committed.

It seems that this is related with \n in commit comment (no matter one line
or multi-line).

But there is no problem under Linux.

Anyone met this problem ?

Thanks
- -- 
A. Because it makes the logic of the discussion difficult to follow.
Q. Why shoudn't I top post?
A. No.
Q Should I top post?

A: Because it destroys the flow of the conversation
Q: Why is it bad?
A: No, it's bad.
Q: Should I top post in replies to mailing lists?